
QGIS Application - Bug report #3119

actions not working if local OS is not "en" and "override system locale" (to en_US) is disabled

2010-10-16 05:34 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13179

Description

take an OS not in english, and install QGIS localized as the OS.

Actions will not work, as the value of the %column variable is not translated to an actual value.

Enter the QGIS options and "override system locale" to en_US, actions will start to work.

Tested on qgis 1.5 on windows, but should be true also under linux.

History

#1 - 2010-10-16 07:20 AM - Jürgen Fischer

no reproducable with trunk.

Although I noticed that %column is case-sensitive and the attribute of my test shape were uppercase.  I must have played with actions on postgis before.  

Which datasource did you use?

#2 - 2010-10-16 09:01 AM - Giovanni Manghi

It is reproducable at least with qgis installed on windows in portuguese. We used shapefiles, regardless the column name is upprcase or lowercase.

Tested both 1.5 and trunk.

#3 - 2011-04-17 02:05 AM - Alexander Bruy

Can't reproduce with commit:d7d7caf4 (SVN r15750) on Linux and Windows (both with Russian locale)

#4 - 2011-04-21 05:06 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

it seems to work now, so closing. Tested on Window qith trunk/osgeo4w.
